• Skip to sidebar navigation
  • Skip to content

Bitbucket

  • More
    ProjectsRepositories
  • Help
    • Online help
    • Learn Git
    • Welcome to Bitbucket
    • Keyboard shortcuts
  • Log In
Alexander Dahl
  1. Alexander Dahl

buildroot

Public
Actions
  • Clone
  • Compare

Learn more about cloning repositories

You have read-only access

Navigation
  • Source
  • Commits
  • Branches
  • All Branches Graph
  • Forks
  1. Alexander Dahl
  2. buildroot

Source

buildroot/package/dhcp/S80dhcp-server
Benoît ThébaudeauBenoît Thébaudeau committed 77cdeaa929d25 Oct 2015
Raw file
Source viewDiff to previous
xxxxxxxxxx
 
#!/bin/sh
#
# $Id: dhcp3-server.init.d,v 1.4 2003/07/13 19:12:41 mdz Exp $
#
​
# On what interfaces should the DHCP server (dhcpd) serve DHCP requests?
#       Separate multiple interfaces with spaces, e.g. "eth0 eth1".
INTERFACES=""
​
# Additional options that are passed to the DHCP server daemon?
OPTIONS=""
​
NAME="dhcpd"
DAEMON="/usr/sbin/${NAME}"
CFG_FILE="/etc/default/${NAME}"
​
# Read configuration variable file if it is present
[ -r "${CFG_FILE}" ] && . "${CFG_FILE}"
​
# Sanity checks
test -f /usr/sbin/dhcpd || exit 0
test -f /etc/dhcp/dhcpd.conf || exit 0
​
case "$1" in
    start)
        printf "Starting DHCP server: "
        test -d /var/lib/dhcp/ || mkdir -p /var/lib/dhcp/
        test -f /var/lib/dhcp/dhcpd.leases || touch /var/lib/dhcp/dhcpd.leases
        start-stop-daemon -S -q -x ${DAEMON} -- -q $OPTIONS $INTERFACES
        [ $? = 0 ] && echo "OK" || echo "FAIL"
        ;;
    stop)
        printf "Stopping DHCP server: "
        start-stop-daemon -K -q -x ${DAEMON}
        [ $? = 0 ] && echo "OK" || echo "FAIL"
        ;;
    restart | force-reload)
        $0 stop
        $0 start
        if [ "$?" != "0" ]; then
            exit 1
        fi
        ;;
    *)
        echo "Usage: $0 {start|stop|restart|force-reload}"
        exit 1
esac
​
exit 0
  • Git repository management for enterprise teams powered by Atlassian Bitbucket
  • Atlassian Bitbucket v6.7.2
  • Documentation
  • Request a feature
  • About
  • Contact Atlassian
Atlassian

Everything looks good. We'll let you know here if there's anything you should know about.